document
  .querySelector('[data-generate-button]')
  .addEventListener('click', function(e) {
    var r = confirm('Are you sure? This will overwrite any existing content.');
    if (!r) {
      e.preventDefault();
    }
  });

var iframe = document.querySelector('iframe');
var contentTextArea = document.querySelector('#content[name=content]');
if (iframe && contentTextArea) {
  var iframeDocument = iframe.contentDocument || iframe.contentWindow.document;
  var styleNode = document.createElement('style');
  styleNode.innerText = 'body { margin: 0; }';
  iframeDocument.head.appendChild(styleNode);
  var preview = iframeDocument.querySelector('body');
  if (preview) {
    var timeout;
    preview.innerHTML = marked(contentTextArea.value);
    contentTextArea.addEventListener('input', function(e) {
      clearTimeout(timeout);
      timeout = setTimeout(function() {
        preview.innerHTML = marked(e.target.value);
      }, 500);
    });
  }
}
